Bug 1666428 (CVE-2018-14721) - CVE-2018-14721 jackson-databind: server-side request forgery (SSRF) in axis2-jaxws class
Summary: CVE-2018-14721 jackson-databind: server-side request forgery (SSRF) in axis2-...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-14721
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1666429 1672879 1672880 1672881 1730588 1731780 1731787 1731789 1731790 1731792 1732286 1732291 1732539
Blocks: 1666431
TreeView+ depends on / blocked
 
Reported: 2019-01-15 19:04 UTC by Laura Pardo
Modified: 2019-10-18 19:52 UTC (History)
59 users (show)

Fixed In Version: jackson-databind 2.9.7, jackson-databind 2.7.9.5, jackson-databind 2.8.11.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:45:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0782 None None None 2019-04-17 21:01:09 UTC
Red Hat Product Errata RHSA-2019:1106 None None None 2019-05-08 12:04:16 UTC
Red Hat Product Errata RHSA-2019:1107 None None None 2019-05-08 12:09:25 UTC
Red Hat Product Errata RHSA-2019:1108 None None None 2019-05-08 12:11:46 UTC
Red Hat Product Errata RHSA-2019:1140 None None None 2019-05-09 18:15:00 UTC
Red Hat Product Errata RHSA-2019:1822 None None None 2019-07-22 14:54:01 UTC
Red Hat Product Errata RHSA-2019:1823 None None None 2019-07-22 14:53:34 UTC
Red Hat Product Errata RHSA-2019:2858 None None None 2019-09-27 00:14:06 UTC
Red Hat Product Errata RHSA-2019:3149 None None None 2019-10-18 19:52:50 UTC

Description Laura Pardo 2019-01-15 19:04:43 UTC
FasterXML jackson-databind 2.x before 2.9.7 might allow remote attackers to conduct server-side request forgery (SSRF) attacks by leveraging failure to block the axis2-jaxws class from polymorphic deserialization.


References:
https://github.com/FasterXML/jackson-databind/issues/2097
https://github.com/FasterXML/jackson/wiki/Jackson-Release-2.9.7

Upstream Patch:
https://github.com/FasterXML/jackson-databind/commit/87d29af25e82a249ea15858e2d4ecbf64091db44

Comment 1 Laura Pardo 2019-01-15 19:04:55 UTC
Created jackson-databind tracking bugs for this issue:

Affects: fedora-all [bug 1666429]

Comment 9 Doran Moppert 2019-02-08 05:34:06 UTC
Statement:

Red Hat Satellite 6 is not affected by this issue, since its candlepin component doesn't bundle axis2-jaxws jar.

Red Hat Virtualization is not affected by this issue, since its does not bundle axis2-jaxws jar.

Comment 10 James Hebden 2019-02-14 07:00:50 UTC
Marking ODL notaffected as even though we ship the vulnerable library, update of the library is being handled by other other flaws (1666423 for example), and in the context of this specific flaw, the requisite axis2 libraries are not shipped.

Comment 11 errata-xmlrpc 2019-04-17 21:01:06 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:0782 https://access.redhat.com/errata/RHSA-2019:0782

Comment 13 errata-xmlrpc 2019-05-08 12:04:13 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2019:1106 https://access.redhat.com/errata/RHSA-2019:1106

Comment 14 errata-xmlrpc 2019-05-08 12:09:22 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 6

Via RHSA-2019:1107 https://access.redhat.com/errata/RHSA-2019:1107

Comment 15 errata-xmlrpc 2019-05-08 12:11:44 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 7

Via RHSA-2019:1108 https://access.redhat.com/errata/RHSA-2019:1108

Comment 20 errata-xmlrpc 2019-05-09 18:14:58 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.3.1 zip

Via RHSA-2019:1140 https://access.redhat.com/errata/RHSA-2019:1140

Comment 27 errata-xmlrpc 2019-07-22 14:53:31 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2019:1823 https://access.redhat.com/errata/RHSA-2019:1823

Comment 28 errata-xmlrpc 2019-07-22 14:53:59 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2019:1822 https://access.redhat.com/errata/RHSA-2019:1822

Comment 33 errata-xmlrpc 2019-09-27 00:14:02 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.1

Via RHSA-2019:2858 https://access.redhat.com/errata/RHSA-2019:2858

Comment 34 errata-xmlrpc 2019-10-18 19:52:48 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2019:3149 https://access.redhat.com/errata/RHSA-2019:3149


Note You need to log in before you can comment on or make changes to this bug.